
Infrastructure - Story #2093

Implement Log Aggregation

2011-12-05 19:27 - Robert Waltz

Status: Closed Start date: 2012-01-11

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Story Points:    

Description

Logs need to be aggregated from all MNs and replicated across all CNs.

All CN logs need to be replicated as well.

Subtasks:

Task # 2205: New Locking Strategy Closed

Task # 2206: Create unique identifiers across cluster for each Log entry Closed

Task # 2207: Write class that will index the logentries in batch to solr Closed

Task # 2209: Design recovery mechanism for revived CN Closed

Task # 2218: Finalize log aggregation schema Closed

Task # 2219: Test on localhost CN VM cluster Closed

Task # 2264: Investigate Performance Issues on Localhost Environment Closed

Task # 2272: Implement logAggregation Recovery Mechanism Closed

Task # 2313: Modify apache to use mod_rewrite Closed

Related issues:

Related to Infrastructure - Story #1744: Design and Implement log aggregation... Closed 2011-11-10 2011-11-14

History

#1 - 2011-12-06 14:36 - Dave Vieglais

- Position set to 8

#2 - 2011-12-19 18:14 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.51-Block.6

- Position deleted (17)

- Position set to 6

#3 - 2012-01-04 18:44 - Dave Vieglais

- Position deleted (16)

- Position changed from 1 to 332

- Target version changed from Sprint-2011.51-Block.6 to Sprint-2012.01-Block.1.1

- Position set to 1

#4 - 2012-01-17 15:43 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position deleted (343)

#5 - 2012-01-17 17:43 - Robert Waltz

- Status changed from New to In Progress
- Position set to 3

- Position deleted (3)

#6 - 2012-01-31 17:50 - Dave Vieglais

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position set to 22

- Position deleted (19)

#7 - 2012-02-12 20:51 - Robert Waltz

- Status changed from In Progress to Closed
